PKGBUILD and dependencies

Hi,
I want to ask, if there is way, that pacman automatically installs resp. deinstalls all the needed packages I put to the depends-field?

Hm, exact problem ist following:
pacman -A ogmrip-0.10.0-1.pkg.tar.gz
loading package data... done.
error: unsatisfied dependencies:
ogmrip: requires ogmtools
ogmrip: requires vorbis-tools
ogmrip: requires intltool
ogmrip: requires gconf
ogmrip: requires mkvtoolnix
ogmrip: requires gocr
with PKGBUILD
# Contributor: Moo-Crumpus <do.not.spam.me AT web.de>
pkgname=ogmrip
pkgver=0.10.0
pkgrel=1
pkgdesc="Librairies and gtk2 interface for dvd ripping using mencoder"
url="http://ogmrip.sourceforge.net/"
license="GPL"
# Optional depedencies comes after pkgconfig. You can add enchant(for spellchacking in subtitiles), faac and libtheora
depends=('xorg' 'glib2' 'libxml2' 'libdvdread' 'mplayer' 'ogmtools' 'vorbis-tools' 'lame' 'intltool' 'pkgconfig' 'gtk2' 'gconf' 'libglade' 'dbus' 'hal' 'mkvtoolnix' 'gocr')
makedepends=('perlxml')
conflicts=()
replaces=()
backup=()
install=
#source=(http://mesh.dl.sourceforge.net/sourceforge/ogmrip/$pkgname-$pkgver.tar.gz)
source=(http://dl.sourceforge.net/sourceforge/ogmrip/$pkgname-$pkgver.tar.gz)
md5sums=('cef80b77b551a6e7accc1441b62c1b4a')
build() {
[ "$GNOMEDIR" = "" ] && source /etc/profile.d/gnome.sh
cd $startdir/src/$pkgname-$pkgver
./configure --prefix=/usr
make || return 1
make DESTDIR=$startdir/pkg install
Had the same problem also with another package.

Similar Messages

  • Python-matplotlib and dependencies

    To day I tried to install python-matplotlib, but it dependet on, and tried to install wxpython and tk, which in turn depends on old usless gtk-1 and glib-1. All together 17 MB. Why is that, you can easily build this package without all those dependencies and as far as I know don't lose any functionality.

    tpoisot wrote:
    karol wrote:Write a PKGBUILD and specify the dependencies there. In Arch we're using pacman to handle package updating and dependency resolving, so it makes sense to use packages rather than e.g. bare xpi plugins.
    Thanks for the info. But shouldn't there it be a mechanism to not install the arch version of a python pakage if the correct version has been installed using e.g. pip already?
    No. I think pip should be patched to inform pacman about its illegal operations in pacman territory.

  • View and dependencies

    Hello Every one.
    I know i should not be doing duplicate posting but i think this section will have pointer.
    Please look into this. What am i missing.
    Re: View and dependencies
    Thank you in advance.

    Thank you for your reply.
    I am sorry it is not getting me the result.
    I think of two things, the table is on DBLINK and is there any think to do with dependecy_type='HARD'
    .>ed
    Wrote file afiedt.buf
      1  CREATE OR REPLACE  VIEW V_test
      2  AS
      3    SELECT   rpt_date,
      4             client_id,
      5             SUM (no_received) no_received
      6        FROM xxx.daily_summery_rpt@ARCHIVE
      7       WHERE client_id = '4398000000'
      8         AND rpt_date BETWEEN trunc(sysdate-60)
      9                          AND trunc(sysdate)
    10    GROUP BY rpt_date,
    11*            client_id
    .>/
    View created.
    Elapsed: 00:00:03.07
    .>SELECT *
      2    FROM user_dependencies
      3   WHERE TYPE = 'VIEW'
      4     AND NAME = 'V_TEST';
    no rows selected
    Elapsed: 00:00:01.03
    .>I am not sure what am i missing.

  • Variant Configuration and Dependencies?

    Hi,
    How is variant configuration is used and dependencies? Can someone give the step by step details with an example? What are the sample questions that can be asked about variant configuration in the interview?
    Thank you

    Hi Altin,
    The process of Variant Configuration and its dependency uses defers from scenario to scenario,
    Please click on the Link
    http://help.sap.com/saphelp_erp60_sp/helpdata/en/92/58d455417011d189ec0000e81ddfac/frameset.htm
    or refer to SAP PLM 145 or LO990.
    To check an end user documentation of how to create Knowledge base objects of Variant Configuration
    please refer to link
    service.sap.com/var_conf or https://websmp202.sap-ag.de/var_conf
    This link should explain different strategies and scenarios where Variant Configuration is used.
    If you have access to SAP IDES systems:
    USE models T-VPP00 for Sales BOM and T-VPC00 for regular.
    Need more help please let me know
    Thanks
    Ajay

  • Installation order and dependencies of Essbase Products

    Hi Experts,
    I am soon to start a fresh EPM Installation on SUN SOLARIS SPARC. Just wanted to know the Installation order and dependencies on each services. The Instllation would be a Websphere based on 64 bit SUN SOL OS with 11.1.3.
    the following are the essbase production which i have to Install.
    Essbase Analytical services
    Essbase Administration Services
    Essbase Shared services
    Application Provider services ( for Smart View ).
    at present i am going thru the Read me Installation docs for all products, Would be great if you can give me a quick order of Installation so i can concentracte accordingly.
    any quick reference DOC will also help
    Cheers
    MS

    The installation order is not so important as the installer should install the components correctly, just install the products you want to on each machine.
    When configuring you would configure shared services registry and shared services first.
    It is worth reading through the install and config doc http://docs.oracle.com/cd/E12825_01/epm.111/epm_install_11114/launch.html
    Installation sequence http://docs.oracle.com/cd/E12825_01/epm.111/epm_install_11114/ch03s01.html
    "EPM System Installer enables you to install, configure, and deploy multiple products on a machine at one time. EPM System Installer installs components in the correct order, so you can select as many products as you want to install on a machine at one time"
    Configuration Sequence - http://docs.oracle.com/cd/E12825_01/epm.111/epm_install_11114/ch04s03.html
    Cheers
    John
    http://john-goodwin.blogspot.com/

  • AUR Pkgbuild and Node.js

    If my package needs some nodejs packages to build/run, it's preferred to install them through AUR (when provided) or just add a line
    npm install -g name_of_the_package
    into build() function?
    Keep in mind that if the package has been already installed on the system by npm, installation from AUR will fail.
    This is my pkgbuild https://aur.archlinux.org/packages/brackets/

    I don't want to sound pretentious, but nodejs is a strange framework (I don't know almost anything about it), and i.e. brackets has all this build dependencies (just the build ones...)
    "grunt": "0.4.1",
    "jasmine-node": "1.11.0",
    "grunt-jasmine-node": "0.1.0",
    "grunt-cli": "0.1.9",
    "phantomjs": "1.9.0-1",
    "grunt-lib-phantomjs": "0.3.0",
    "grunt-contrib-jshint": "0.6.0",
    "grunt-contrib-watch": "0.4.3",
    "grunt-contrib-jasmine": "0.4.2",
    "grunt-template-jasmine-requirejs": "0.1.0",
    "grunt-contrib-cssmin": "0.6.0",
    "grunt-contrib-clean": "0.4.1",
    "grunt-contrib-copy": "0.4.1",
    "grunt-contrib-htmlmin": "0.1.3",
    "grunt-contrib-less": "0.8.2",
    "grunt-contrib-requirejs": "0.4.1",
    "grunt-contrib-uglify": "0.2.0",
    "grunt-contrib-concat": "0.3.0",
    "grunt-targethtml": "0.2.6",
    "grunt-usemin": "0.1.11",
    "load-grunt-tasks": "0.2.0",
    "q": "0.9.2",
    "jshint": "2.1.4",
    "xmldoc": "^0.1.2"
    I don't think that a user without an AUR helper should be happy to have to install all these things, when it can just be avoided adding
    npm install
    inside PKGBUILD.

  • Pkgbuild and Evn Path

    when I learn to compile umtsmon, I find some export command in pkgbuild script
      export QTDIR=/opt/qt
      export PATH=/opt/qt/bin:$PATH
    but, when I try "echo $PATH" in terminal I can't find /opt/qt/bin, what's wrong?

    sorry Karol, I really don't understand about it.. and I want to know more..
    # Contributor: János Illés <[email protected]>
    pkgname=umtsmon
    pkgver=0.9
    pkgrel=6
    pkgdesc="A tool to manage your UMTS (3G) card/device (send sms, modify pin, monitor traffic)"
    url="http://umtsmon.sourceforge.net/"
    license="GPL"
    arch=('i686' 'x86_64')
    depends=('qt3' 'ppp' 'libusb')
    optdepends=('gksu: umtsmon will complain if gksu is missing, but works fine after ignoring the error message'
    'usb_modeswitch: devices with ZeroCD functionality may need this to get working'
    'polymer: nice looking QT3 theme without KDE dependencies')
    source=(http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.src.tar.gz)
    md5sums=('2f9260d1fc69b230cf0035efa1a962f0')
    build() {
    export QTDIR=/opt/qt
    export PATH=/opt/qt/bin:$PATH
    cd $srcdir/$pkgname-$pkgver
    sed -i '29i#include <sys/stat.h>\n' src/base/SerialPort.cpp
    qmake || return 1
    make all || return 1
    lupdate umtsmon.pro ||return 1
    lrelease umtsmon.pro ||return 1
    install -m755 -D umtsmon $pkgdir/usr/sbin/umtsmon
    mkdir -p $pkgdir/usr/share/umtsmon/translations/
    cp i18n/*.qm $pkgdir/usr/share/umtsmon/translations/
    install -m644 -D umtsmon.desktop $pkgdir/usr/share/applications/umtsmon.desktop
    install -m644 -D images/128/umtsmon-128x128.png $pkgdir/usr/share/pixmaps/umtsmon-128x128.png
    makepkg -s executing each line in PKGBUILD script, isn't it?
    sorry about my english..

  • Xfce4-4.4 beta1 PKGBUILD and ask for testing

    Hi,
    I used my day off to move our xfce to the beta1 aka 4.3.90.1.
    Note that this stuff is far from perfect. Some modules moved
    into the xfce4 core packages some plugins are new some not
    updated yet, some have been abandoned and finally some are
    broken. I have no packages ready, but two directories of
    PKGBUILDs that *are supposed* to be able to be build by
    makeworld. SO anybody feeling adventurous, share your woes.
    http://arch.justdreams.net/xfce4-4.4-beta1/
    The tarball is the content of the whole directory bundled. To
    build this stuff follow this path:
    $ > su
    $ > pacman -R xfce4 xfce4-goodies
    $ > pacman -S a2ps cups dbh dbus gconf libxdamage libxpm libxcomposite dbus vte shared-mime-info libexif fam libglade libsigc++2.0 lm_sensors gnome-panel taglib
    $ > abs
    $ > cd $ABSROOT/extra
    $ > rm -rf xfce4
    copy the two directries xfce4-core and xfce4-goodies to $ABSROOT/extra
    $ > cd $ABSROOT/extra
    $ > makeworld -bci /path/to/final/packages xfce4-core xfce4-goodies
    xfce4-xmms2-client is in broken. It builds but it doesnt start
    successfully. So far it's the only package using xfc. So if you
    don't plan to try this stuff just delete xfce4-goodies/xfc. To
    build takes for ever.
    NOTE: the strange dependencies above come from:
    shared-mime-info libexif fam gconf: thunar
    libglade libsigc++2.0: xfc
    gnome-panel: xfce4-xfapllet-plugin (allows to run gnome-applets from xfce4-panel)
    taglib: thunar-media-tag-plugin
    Try it and lemme know your worries.
    Thanks,
       neri

    Ok, I've into into the difference between our work. Here is what I can say:
    +Packages are quite the same, wich is normal.
    +My packages did lacks some keywords, like the options=('NOLIBTOOL'), and 2 or 3things like that
    +Here some remark about your packages:
         -Most of the dependencies doesn't mention version numbers.*
         - Some of them doesn't feature md5sums*
         - For the panel, you can drop the xml2 dependency, since the new panel doesn't need this anymore.
         - For xfce4-ssesion, I use this arguments for the ./configure:
    ./configure --prefix=/opt/xfce4 --disable-legacy-sm --disable-gnome --with-shutdown-style=hal
    The last argument can probably be omited, but I would like the keep the other.
         - For the quicklauncher plugin, the comment say that it can display 4 launchers... This is false. In fact it can display as many launchers as you want. (sorry, but I'm the author of this plugin, so I can't do without mention it    )
    *Here is what I have for the dependecies and md5sums after "merging" our packages:
    [libxfce4mcs]
    +depends=('libxfce4util>=4.3.99.1' 'startup-notification')
    [libxfce4util]
    +depends=('glib2>=2.6.0')
    #the dependency is in fact about gobject-2.6.0
    [libxfcegui4]
    -depends=('startup-notification' 'gtk2>=2.6.0' 'libxfce4util>=4.3.99.1')
    [terminal]
    -depends=('exo>=0.3.1.10rc1' 'vte>=0.11.11' 'dbus>=0.60')
    [xfce-mcs-plugins]
    -depends=('xfce-mcs-manager>=4.3.99.1' 'gtk-xfce-engine>=2.3.99.1' 'libxfcegui4>=4.3.99.1' 'libxfce4mcs>=4.3.99.1'
    -         'libxxf86vm')
    [xfce4-dev-tools]
    +md5sums=('dc6403caf82edfb896eb3878385b439a')
    [xfce4-panel]
    -depends=('libxfcegui4>=4.3.99.1' 'libxfce4mcs>=4.3.99.1')
    +md5sums=('8647de295987605161c75650e4554fd8')
    [xfce4-session]
    +depends=('libxfcegui4' 'libxfce4mcs' 'bash' 'hal')
    +  ./configure --prefix=/opt/xfce4 --disable-legacy-sm --disable-gnome --with-shutdown-style=hal
    [xfwm4]
    +md5sums=('ab8fcfdf496f093bbe711a7d853deb33' '8ed0d3c7dc07dde88ba7b38ce5006730')

  • Executable and dependencies

    Labview 2012/Windows 7.
    On my developemnt machine I created a project w all my vis to run a test.  That works fine.  I then created an exe and that works fine.  Then I created an installer for the target machine and the code doesn't work.  I get that its missing files and those files just happen to be listed under "dependencies" of the project  on the devmnt machine.  To name a few..."vi.lib", "instr.lib", nidmm_32.dll", niswitch_32.dll".  In the build I included DAQmx and visa as well as the RT engine.  I selected my "Main Menu" as the "startup vi.  Main menu calls all of the "other vis"  which are in folders in the project under main menu.  The discussion grps have some confusing info.  Should I put the "other vis" that my main menu calls in the "Always Include" box or when I select main menu as my startup vi Labview is smart enough to include those called vis??
    What am I missing that I get an error when I port my code to the target machine ?  ..."vi.lib", "instr.lib", nidmm_32.dll", niswitch_32.dll".

    Hi Clint,
    as you miss "nidmm.dll" I guess you need to install the NI-DMM driver as well with your exectable…
    Best regards,
    GerdW
    CLAD, using 2009SP1 + LV2011SP1 + LV2014SP1 on WinXP+Win7+cRIO
    Kudos are welcome

  • Assemble ant task and dependencies

    We are in a process of moving from wasp 4.5 to OC4J R3.
    We want to be able to assemble (and deploy) a bottom-up java web service using ant.
    I look at the assemble ant task but I couldn't find out how to specify using that task the jars that will be copied to WEB-INF/lib or any other option like using a custom oracle-webservices.xml file to specify the dependencies or specifying a shard library to be used..
    The documentation is really unclear about the subject.

    What's your approach to pack the files?
    Just use the assemble task to create the war structure and then add all the dependencies?
    I'm new to OC4j but it seems a reasonable request to add dependencies with the ant task , just like when you use the input tag to specify which files should be in WEB-INF/classes.
    The oracle-webservices.xml is another way to specify the web service (if i remember correctly) and I gave it as another example of where I looked to solve to problem.
    It shouldn't be that hard to pack to war file myself... it's just annoying that when you come from WASP 4.5 which is over 3 years old and it's so easy and clear how to pack a bottom-up web service.
    Message was edited by:
    user564605

  • [Solved]Getting different results with PKGBUILD and compiling manually

    Hi,
    When I compile this one package manually and install it, it works 100% however when I try it in a PKGBUILD the compile fails.
    Here is the PKGBUILD I have so far (still working on it)
    pkgname=smtp-gated
    pkgver=1.4.16.2
    pkgrel=1
    pkgdesc="This software block SMTP sessions used by e-mail worms and viruses on the NA(P)T router. It acts like proxy, intercepting outgoing SMTP connections and scanning session data on-the-fly. When messages is infected, the SMTP session is terminated. It's to be used (mostly) by ISPs, so they can eliminate infected hosts from their network, and (preferably) educate their users."
    url="http://smtp-proxy.klolik.org/"
    license="GNU"
    arch=('i686' 'x86_64')
    #depends=('')
    #install=smtp-gated.install
    source=("$url/files/$pkgname-$pkgver.tar.gz")
    md5sums=('3857d03c847efd89b052acaeffaa453b')
    build() {
    cd $startdir/src/$pkgname-$pkgver || return 1
    msg CONFIGURE
    #./configure --prefix=/usr || return 1
    ./configure || return 1
    msg MAKE
    make || return 1
    msg INSTALL
    make install INSTALL_ROOT=$startdir/pkg/ || return 1
    And the compile error when I run "makepkg"
    ==> MAKE
    make all-recursive
    make[1]: Entering directory `/root/ABS_snmp-gated/src/smtp-gated-1.4.16.2'
    Making all in src
    make[2]: Entering directory `/root/ABS_snmp-gated/src/smtp-gated-1.4.16.2/src'
    if gcc -DHAVE_CONFIG_H -I. -I. -I.. -DMD5_TEST -march=x86-64 -mtune=generic -O2 -pipe -Wall -MT md5_test-md5.o -MD -MP -MF ".deps/md5_test-md5.Tpo" -c -o md5_test-md5.o `test -f 'md5.c' || echo './'`md5.c; \
    then mv -f ".deps/md5_test-md5.Tpo" ".deps/md5_test-md5.Po"; else rm -f ".deps/md5_test-md5.Tpo"; exit 1; fi
    gcc -march=x86-64 -mtune=generic -O2 -pipe -Wall -Wl,--hash-style=gnu -Wl,--as-needed -o md5-test md5_test-md5.o
    if gcc -DHAVE_CONFIG_H -I. -I. -I.. -march=x86-64 -mtune=generic -O2 -pipe -Wall -MT regex-test.o -MD -MP -MF ".deps/regex-test.Tpo" -c -o regex-test.o regex-test.c; \
    then mv -f ".deps/regex-test.Tpo" ".deps/regex-test.Po"; else rm -f ".deps/regex-test.Tpo"; exit 1; fi
    gcc -march=x86-64 -mtune=generic -O2 -pipe -Wall -Wl,--hash-style=gnu -Wl,--as-needed -o regex-test -lpcre regex-test.o
    regex-test.o: In function `main':
    regex-test.c:(.text+0xc): undefined reference to `pcre_version'
    regex-test.c:(.text+0x3c): undefined reference to `pcre_compile'
    regex-test.c:(.text+0x71): undefined reference to `pcre_exec'
    regex-test.c:(.text+0x88): undefined reference to `pcre_free'
    collect2: ld returned 1 exit status
    make[2]: *** [regex-test] Error 1
    make[2]: Leaving directory `/root/ABS_snmp-gated/src/smtp-gated-1.4.16.2/src'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/root/ABS_snmp-gated/src/smtp-gated-1.4.16.2'
    make: *** [all] Error 2
    Any pointers or help would be greatly appreciated.
    Last edited by Tinuva (2010-01-27 11:55:41)

    Alright not sure if this is up to standard to go into AUR but this is what I have for now:
    PKGBUILD:
    pkgname=smtp-gated
    pkgver=1.4.16.2
    pkgrel=1
    pkgdesc="This software block SMTP sessions used by e-mail worms and viruses on the NA(P)T router. It acts like proxy, intercepting outgoing SMTP connections and scanning session data on-the-fly. When messages is infected, the SMTP session is terminated. It's to be used (mostly) by ISPs, so they can eliminate infected hosts from their network, and (preferably) educate their users."
    url="http://smtp-proxy.klolik.org/"
    license="GNU"
    arch=('i686' 'x86_64')
    #depends=('')
    install=smtp-gated.install
    source=("$url/files/$pkgname-$pkgver.tar.gz")
    md5sums=('3857d03c847efd89b052acaeffaa453b')
    build() {
    cd $startdir/src/$pkgname-$pkgver || return 1
    msg CONFIGURE
    export LDFLAGS="${LDFLAGS//-Wl,--as-needed}"
    ./configure --prefix=/usr || return 1
    msg MAKE
    make || return 1
    msg INSTALL
    make install INSTALL_ROOT=$startdir/pkg/ || return 1
    install -D -m755 ../../smtp-gated ${startdir}/pkg/etc/rc.d/smtp-gated || return 1
    install -D -m644 ../../smtp-gated.conf ${startdir}/pkg/etc/smtp-gated.conf || return 1
    smtp-gated.install
    # arg 1: the new package version
    post_install() {
    mkdir /var/run/smtp-gated
    mkdir /var/spool/smtp-gated
    mkdir /var/spool/smtp-gated/msg
    chown mail.mail /var/run/smtp-gated
    chown mail.mail /var/spool/smtp-gated -R
    echo "
    SMTP-GATED Instructions:
    After installing SMTP-GATED you need to edit smtp-gated.ini
    Good luck!
    /bin/true
    op=$1
    shift
    $op $*
    smtp-gated that goes into /etc/rc.d/
    #!/bin/bash
    . /etc/rc.conf
    . /etc/rc.d/functions
    # source application-specific settings
    [ -f /etc/conf.d/$NAME ] && . /etc/conf.d/$NAME
    # PATH should only include /usr/* if it runs after the mountnfs.sh script
    PATH=/usr/sbin:/usr/bin:/sbin:/bin
    DESC="SMTP Proxy"
    NAME=smtp-gated
    DAEMON=/usr/sbin/$NAME
    CONFIG=/etc/$NAME.conf
    DAEMON_ARGS="$CONFIG"
    PID=/var/run/$NAME/$NAME.pid
    SCRIPTNAME=/etc/rc.d/$NAME
    # Exit if the package is not installed
    [ -x "$DAEMON" ] || exit 0
    # Read configuration variable file if it is present
    [ -f /etc/conf.d/$NAME ] && . /etc/conf.d/$NAME
    case "$1" in
    start)
    stat_busy "Starting $NAME"
    #[ -z "$PID" ] && $DAEMON $DAEMON_ARGS
    $DAEMON $DAEMON_ARGS &>/dev/null
    if [ $? -gt 0 ]; then
    stat_fail
    else
    add_daemon $NAME
    stat_done
    fi
    stop)
    stat_busy "Stopping $NAME"
    #[ -n "$PID" ] && kill $PID &> /dev/null
    smtp-gated -K &> /dev/null
    if [ $? -gt 0 ]; then
    stat_fail
    else
    rm_daemon $NAME
    stat_done
    fi
    restart)
    $0 stop
    # will not start if not fully stopped, so sleep
    sleep 2
    $0 start
    echo "usage: $0 {start|stop|restart}"
    esac
    smtp-gated.conf that goes into /etc
    # Virus scanning: yes
    # SPAM scanning: yes
    #proxy_name smtp-proxy.mydomain.com
    port 9199
    ; bind_address 192.168.1.254
    ; source_addr 0.0.0.0
    mode netfilter
    ; action_script /etc/smtp-gated-action.sh
    lock_duration 1800
    lock_path /var/spool/smtp-gated/lock
    spool_path /var/spool/smtp-gated/msg
    spool_perm 0660
    pidfile /var/run/smtp-gated/smtp-gated.pid
    ;dumpfile /var/run/smtp-gated/smtp-state-dump
    set_user mail
    priority 5
    lock_on virus,spam,maxhost
    max_connections 64
    max_per_host 10
    ;max_per_ident 6
    ;max_load 3.0
    ignore_errors yes
    spool_leave_on error,spam
    nat_header_type ip-only
    ; abuse [email protected]
    log_helo yes
    log_mail_from accepted,rejected
    log_rcpt_to accepted,rejected
    ; locale pl_PL
    ;scan_max_size 1048576
    ;spam_max_size 0
    spam_max_size 131072
    ;spam_max_load 0.5
    spam_threshold 5.0
    ; scanner_path
    antivirus_type clamd
    antivirus_path /var/lib/clamav/clamd.sock
    antispam_type spamassassin
    antispam_path /var/run/spamd.sock
    Last edited by Tinuva (2010-01-27 12:13:03)

  • Packages and dependencies

    Hi,
    I've built a package to install Apache to a specific location.
    This works fine as would be expected on the build box.
    When I move it to the test deployment box the package installs ok but when i fire up apache
    ../bin/apachectl start
    I get the following error.
    ld.so.1: /apps/apache2.0.48/bin/httpd: fatal: libexpat.so.0: open failed: No such file or directory
    Killed
    Can anyone tell me how i can specify to the package creation to take dependencies with it.
    Hope you can help
    Tom

    ld.so.1: /apps/apache2.0.48/bin/httpd: fatal:
    atal: libexpat.so.0: open failed: No such file or
    directory
    Killed
    Can anyone tell me how i can specify to the package
    creation to take dependencies with it.If libexpat is in another package, then you should specify that package in the depend(4) file. If that package is not in another package, then you need to list libexpat and all of its bits in the prototype(4) file that you used to build your package.
    Another thing to be careful of is the linker runpath. Be sure that Apache was compiled with the appropriate -R flag to ld(1) so that the httpd binary knows where libexpat.so.0 is supposed to be at without having to set the LD_LIBRARY_PATH (see ld.so.1(1)).
    Rod Evans has been posting some very good information about -R in his blog. Go read http://blogs.sun.com/roller/page/rie/20040710#tt_ld_library_path_tt and http://blogs.sun.com/roller/page/rie/20040715#tt_dependencies_tt_define_what

  • PKGBUILD and python setuptools

    I wrote a proper post earlier but during that time i was logged out and it seems that what i was going to post just vanished so i'll just pop a quick question (are posts that you were going to post saved somewhere or do i just have to be quick posting?):
    Is it possible to create a python related package and install it in a virtualenv (so that python dependencies don't pose a problem for other packages?) or is that not advisable as virtualenvs don't seem to be specially portable?
    Also, is it not possible to install dependencies from setup.py when making an AUR package? I'm guessing that this would be a bad idea because of conflicting files in the same directory from different AUR packages?
    Thanks in advance!
    If I'm unclear or something just tell me and I'll try to make it clearer.

    Hi there!
    I've checked the guidelines and they don't seem to mention anything about that and as far as i can tell the other packages just use the dependency system that pacman offers. This leads me to believe that there's something off about installing it in a virtualenv in one way or another, otherwise i'm guessing that other packages would use that solution as well in some way.
    I've checked it now and hope it works, thanks!

  • N00b question about PKGBUILD and sed

    Hi, i find sed being used in quite a few PKGBUILDs but i dont really understand what it does after see the the man page and stuff...
    for example,
    # Maintainer: Link Dupont <[email protected]>
    # Contributor: Link Dupont <[email protected]>
    pkgname=cedega
    pkgver=4.4
    tgrel=1
    pkgrel=2
    pkgdesc="Transgaming's flagship product, allowing Windows games to run on Linux"
    url="http://www.transgaming.com/"
    license="non-free"
    depends=('x-server' 'python' 'pygtk')
    install=
    source=("${pkgname}_${pkgver}-$tgrel.i386.tgz" "point2play-small-2.0.1.tgz" "transgaming-fontinstaller-1.0.tgz" "cedega.sh" "transgaming-mozctlinstaller-1.0-1.i386.tgz" "http://downloads.transgaming.com/misc_d … pengl32.so")
    build() {
        cd $startdir/src
        mkdir -p $startdir/pkg/opt/cedega $startdir/pkg/etc/profile.d
        mv $startdir/src/usr/* $startdir/pkg/opt/cedega
        sed -e "s|/usr|/opt/cedega|" -i $startdir/pkg/opt/cedega/bin/Point2Play
        sed -e "s|/usr|/opt/cedega|" -i $startdir/pkg/opt/cedega/bin/cedega
        sed -e "s|/usr|/opt/cedega|" -i $startdir/pkg/opt/cedega/bin/tg-font-install
        sed -e "s|/usr|/opt/cedega|" -i $startdir/pkg/opt/cedega/bin/tg-mozctl-install
        rm -rf $startdir/pkg/opt/cedega/share/gnome/
        rm -rf $startdir/pkg/opt/cedega/share/icons/
        rm -rf $startdir/pkg/opt/cedega/lib/menu
        cp $startdir/src/cedega.sh $startdir/pkg/etc/profile.d/
        # Apply hotfix that fixes OpenGL rendering in World of Warcraft
        cp $startdir/src/libopengl32.so $startdir/pkg/opt/cedega/lib/transgaming_cedega/winex/lib/
    md5sums=('20592555c86cae4f4638e69281b80a8d' '8c3a22d57b897ecc9c6ec82ec9df0c6b'
             '9be0cf8bdd62658f46c52fdcba4be34e' '98078ba55a7f7f50750181adea924621'
             'fdb94eadf8c681e7e84a8c8235562274' '56d6f04788bbf0355e309e2eff4f4b4d')
    what exactly does sed do for example in this above PKGBUILD?

    its substituting /opt/cedega/ in place of /usr/ in each of the files on the right.
    s is substitue
    | is the seperator
    i is insert into file
    e is execute these commands

  • Standalone executables and dependencies in the Java World

    I'm a very seasoned C/C++ developer who's just learning Java. I have this gnawing question that's bugging me. It's rather elementary but it requires someone with experience to answer it.
    If I'm delivering a standalone executable (C/C++) to a Windows or Linux customer, it is possible to deliver simply a "*.exe" file (windows) or a Linux Executable file (Linux) which can be installed and run immediately with no dependencies not included in a typical installation. (although, on linux, if there is a gui involved, a typical default Linux install may be missing some dependencies for the gui )
    But in the Java world, since the JRE is not necessarily included in a Standard Windows or Linux default installation, my customer would always have to install the JRE on their machine before they can run any code that I produce in Java ...correct? And there is no way to execute a jarfile as a standalone; it always must be executed by the JRE ("java -jar <jarfilename.jar> ) ...right? And if I were to code a new GUI application in Java on the Linux platform, it would have to be run via "java -jar <gui_jarfilename.jar> ...correct?

    R2me2 wrote:
    "Your questions cause me to suggest that you look into Java Web Start;"
    No, this is exactly what I'm not asking. I mean really standalone ....as in the executable runs by itself without user having to install anything else* (via CD, web or anywhere). So I suppose the answer to my question is that NO, there's no such thing in the Java World and that whenever a java program is installed, it always has the JRE as a dependency and that the installation of a java executable is not complete until the JRE is installed.Not to sound like a noob but what were you expecting. Java runs on the JRE and that is what makes it portable as the JRE can be installed almost anywhere o.O
    This is not the inconvenience that you are making it out to be. No user is gonna beef with you if they came to you asking for a java application to be installed and I most certainly have played the client role, having to download the latest JRE to run my bank applets. No so long as you provide the user with all the info they need like a link to JRE download etc you will be fine.. :)

Maybe you are looking for

  • Jabber 9.2 for Windows contact add

    Hi, I have installed Jabber 9.2 on few workstations and I can see some strange issue. When I try to add contact from outlook to the Jabber contact list it has no add button in the search bar and if I try to add contact by "New-Contact" it returns an

  • Can I use an iMac as a display for a Wii & Playstation 3?

    Hello folks, My GF and I are planning to buy a 24" iMac and we are planning to replace our old boxy television with the iMac. Can someone please tell me if it's possible to connect a Wii or a Playstation to the iMac, or should I keep the old telly ha

  • Deploying Problem --- Unmarshaller failed

    Hi I made a simple application contains of 1 task flow with 1 simple page , now it's time for deploying my application .... As the document "Fusion Developer's Guide for Oracle Application Development Framework 11g Release 1 (11.1.1)" Chapter 32 (Dep

  • 0CALDAY with offset -1 question

    Hello SDN, I am using BW3.5 query designer.  In my rows, I have 0CALDAY.  In my columns, I have Volume, and Prior Day's Volume. I am trying to calculate the Prior Day's volume. Example dataset: 2008.01.01     10     0 2008.01.02     7      10 2008.01

  • Screen orientation stuck in messages

    I updated to the new operating system and my screen in messages is stuck in landscape orientation.  Has anyone had this happen and how did you fix it?